Skip to main content
POST
/
v1
/
billing
/
subscribe
Subscribe
curl --request POST \
  --url https://api.polydata.live/v1/billing/subscribe \
  --header 'Authorization: <authorization>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "plan": "<string>"
}
'
{
  "data.invoice_url": "<string>",
  "data.payment_id": "<string>",
  "data.amount_usd": 123,
  "data.plan": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://docs.polydata.live/llms.txt

Use this file to discover all available pages before exploring further.

Creates a NOWPayments invoice. Returns a URL where the user can pay with any of 100+ cryptocurrencies. After confirmation, the user’s plan is upgraded automatically.

Authentication

Authorization
string
required
Bearer pd_live_xxxxx

Body

plan
string
required
Plan to subscribe to. One of: daily, monthly, unlimited.

Response

data.invoice_url
string
URL to redirect the user to NOWPayments invoice page.
data.payment_id
string
NOWPayments payment ID for tracking.
data.amount_usd
number
Price in USD.
data.plan
string
Plan being subscribed to.

Example

curl -X POST https://api.polydata.live/v1/billing/subscribe \
  -H "Authorization: Bearer pd_live_xxxxx" \
  -H "Content-Type: application/json" \
  -d '{"plan": "monthly"}'

Sample response

{
  "success": true,
  "data": {
    "invoice_url": "https://nowpayments.io/payment/?iid=5422817945",
    "payment_id": "5422817945",
    "amount_usd": 59.9,
    "plan": "monthly"
  }
}

Pricing

PlanPriceDuration
daily$11 day
monthly$59.930 days
unlimited$99.930 days
After payment confirmation (typically 5-10 min), your plan upgrades automatically. Check status via GET /v1/billing/status.